#!/bin/sh
#/**
#  * IBM Confidential
#  * 
#  * Symphony Editor
#  *
#  * (C) Copyright IBM Corporation 2010.  All Rights Reserved.
#  */

patch_plugin_home=$1
patch_plugin_id=$2
old_plugin_id=`echo $patch_plugin_id | sed -e s/.patch$//`_3.0.0.20101015-2340

cd $patch_plugin_home

marker=patchdone.sem
append=append.list
if [ -e $marker ]; then
  cd -
  exit 0  
fi


old_plugin_home="../$old_plugin_id"

for line in `cat filelist`
do 
    if [ ! -e $old_plugin_home/$line.bak -a -e $old_plugin_home/$line ]; then
      cp -f $old_plugin_home/$line $old_plugin_home/$line.bak >/dev/null
    fi
    if [ -e $line ]; then
    	cp -f $line $old_plugin_home/$line >/dev/null
    	rm -f $line >/dev/null 2>&1
    fi	
done

# touch and clear append file list
echo >$append

# generate append file list
for line in `cat filelist`
do 
    # this is new added file by patch
    if [ ! -e $old_plugin_home/$line.bak -a -e $old_plugin_home/$line ]; then
    	echo $line>>$append
    fi	
done

touch $marker >/dev/null

cd -
