#!/bin/sh
#/**
#  * IBM Confidential
#  * 
#  * Symphony Editor
#  *
#  * (C) Copyright IBM Corporation 2010.  All Rights Reserved.
#  */

patch_plugin_home=$1
patch_plugin_id=$2
old_plugin_id=`echo $patch_plugin_id | sed -e s/.patch$//`_3.0.0.20101015-2340

cd $patch_plugin_home

marker=patchdone.sem
append=append.list
old_plugin_home="../$old_plugin_id"

for line in `cat filelist`
do     
    if [ -e $old_plugin_home/$line.bak ]; then
      cp -f $old_plugin_home/$line.bak $old_plugin_home/$line >/dev/null
      rm -f $old_plugin_home/$line.bak >/dev/null
    fi    
done

if [ -e $append ]; then
	for line in `cat $append`
	do     
	    if [ -e $old_plugin_home/$line ]; then
	      rm -f $old_plugin_home/$line >/dev/null
	    fi    
	done
	rm -f $append
fi


if [ -e $marker ]; then
  rm -f $marker >/dev/null
fi

cd -
